<?php
session_start();

if (!defined('webid')) {
    exit();
}
if (!isset($_SESSION["username"]) && !isset($_SESSION["password"])) {
    ?>
	<script type="text/javascript">
    hax({url:'/home', id:'flax'});
    </script>
	<?php
	exit();
}

$sql = mysql_query("SELECT count(id) as count FROM tb_users WHERE referer = '$_SESSION[iduser]'");
$row = mysql_fetch_array($sql);
$refmasmoney = $row['count'] * 0.005;

if ($refmasmoney > $money) {
    $texttitle = '<div align="center" style="color:#800000; font-weight:bold">Недостаточно средст на балансе</div>';
} else {
    ?>
    <script type="text/javascript">
    function descchange(elem) {
        if (elem.value.length > 150) {
            elem.value = elem.value.substr(0,150);
        }
        $('#countsms').html('Осталось '+(150-elem.value.length)+' символов');
    }
    
    $('#ask_desc').tipTip({defaultPosition:'top'});
    
    $('#addmasref').click(function(){
        $.post('ajax.php?func=addmasref',{
            mess : $('#ask_desc').val(),
        }, function(data){
            alert(data);
            FLAX.Html.thread['flax'].repeat();
        });
        return false;
    });
    </script>
    <?
    $texttitle = '<span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7; margin-right: 330px;">Форма рассылки</span><span style="position: relative;"><input type="submit" name="save" class="big_btn" value="Заказать" id="addmasref" /></span>';
}
?>
<h3 style="border-bottom: 1px dotted #cccccc; color: #1c62b9; text-shadow: 0 1px 0 #fafafa;">Рассылка рефералам</h3>
<div class="header-stat">Рассылка рефералам дает Вам возможность, уведомить Ваших рефералов о ваших дальнейших вознаграждений или интересных предложений. Рассылка будет показываться 2 суток. Стоимость рассылки <b>0.005 <?=$sitevalname?></b> за одного реферала.</div><br />
<?
if ($finestatus != '0') {
    echo '
        <div class="alert alert-block alert-error fade in">
            <h4 class="alert-heading">Внимание! На ваш аккаунт наложен штраф!</h4>
            <p>Ваш акаунт частично заблокирован за нарушение правил ('.$fine_text.') Для разблокировки аккаунта, вам необходимо оплатить штраф за нарушение, если вы не согласны с этим, можете покинуть проект, ваш аккаунт будет удален в течение 10 суток.</p>
            <p>
              <a class="btn btn-danger" href="/basket">Оплатить штраф</a> <a class="btn" href="/tos">Правила</a>
            </p>
        </div>';
} else {
    if (mysql_num_rows($sql) < 1) {
        echo '<div style="color:#800000; font-weight:bold" align="center">У Вас нет рефералов</div>';
    } else {
    ?>
    <table class='otab' width='100%' border='0' cellpadding='0' cellspacing='1'>
        <thead>
            <th colspan="2" style="padding: 5px; background: #ebebeb;"><?=$texttitle?></th>
        </thead>
        <tr>
            <td colspan="2" style="background: #ebebeb; padding: 3px;" align="center">Сообщение</td>
        </tr>
        <tr><td class="rt" colspan="2" id="countsms" style="text-align: center; padding: 5px; font-size: 11px;">Осталось 150 символов</td></tr>
        <tr><td colspan="2" align="center" style="padding: 5px; background: #ebebeb;"><textarea class="expanding" id='ask_desc' style="height: 50px;" onkeyup="descchange(this);" title="Краткое обращение к рефералу."><?=$get_mess['greeting']?></textarea></td>
        </tr>
        <tr>
            <td colspan="2" style="background: #FAF7BA" align="center" class="rt"> За рассылку всем рефералам с баланса будет снято - <b><?=$refmasmoney.' '.$sitevalname?></b></td>
        </tr>
    </table>
    <?
    } 
}
?>